Subject: [Add] Re: Artart last call review of draft-ietf-add-split-horizon-authority-11
From: tirumal reddy <[email-masked]>
To: Jiankang Yao <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 2 Jun 2024 19:01:34 +0530
List-Id: Applications Doing DNS <add.ietf.org>

Thanks for the review, please see inline

On Sun, 2 Jun 2024 at 09:05, Jiankang Yao via Datatracker <[email-masked]>
wrote:

> Reviewer: Jiankang Yao
> Review result: Ready
>
> I am the assigned ART-ART reviewer for this draft. The Art Area
> Review Team (ART-ART) reviews all IETF documents being processed
> by the IESG.  Please treat these comments just
> like any other last call comments.
>
> Document: draft-ietf-add-split-horizon-authority-11
> Reviewer: Jiankang Yao
> Review Date: 2024-06-01
>
> Summary: Ready for publication.
>
> This document is clear and in good shape.
>
> One suggestion:
>
> In section 2 Terminology,
>
> "
>   Encrypted DNS
> A DNS protocol that provides an encrypted channel between a DNS client and
> server (e.g., DNS over TLS (DoT) [RFC7858], HTTPS (DoH) [RFC8484], QUIC
> (DoQ)
> [RFC9250]).
>
> Split-Horizon DNS
> The DNS service provided by a resolver that also acts as an authoritative
> server for some names, providing resolution results that are meaningfully
> different from those in the Global DNS. (See "Split DNS" in Section 6 of
> [RFC9499].)
>
> "
> Encrypted ‘DNS’ is defined as "Protocol" while Split-Horizon ‘DNS’ is
> defined
> as "service". Same "DNS" points to different things.
>
> How about changing "Encrypted DNS"  to "Encrypted DNS Protocols"?
>

"Encrypted DNS" is already used in the terminology of other RFCs, like
https://datatracker.ietf.org/doc/rfc9463/

-Tiru

>
> Best Regards
> Jiankang Yao
>
>
>
>